"use strict";
var common_vendor = require("../common/vendor.js");
require("./modules/tabIndex.js");
require("./modules/user.js");
require("./modules/AIResponse.js");
require("./modules/rateLimit.js");
const createPersistUni = () => {
  return common_vendor.createPersistedState({
    storage: {
      getItem: common_vendor.index.getStorageSync,
      setItem: common_vendor.index.setStorageSync
    }
  });
};
const store = common_vendor.createPinia();
store.use(createPersistUni());
function setupStore(app) {
  app.use(store);
}
exports.setupStore = setupStore;
